//办件事项详细
var MapliuchengList = function (xmlDoc, TagName) {
    var rs = new Array();
    var k = 0;
    var rootObj = xmlDoc.responseXML.documentElement;
    if (rootObj != null) {
        var list = rootObj.getElementsByTagName(TagName);
        if (list != null && list.length > 0) {
            for (var i = 0; i < list.length; i++) {
                if (list[i] != null) {
                    var obj = new Object(); //绑定各个字段,
                    obj.ShouLiChuangKou = GetXmlData(list[i], "ShouLiChuangKou");
                    obj.BillNo = GetXmlData(list[i], "BillNo");
                    obj.ShenQingRen = GetXmlData(list[i], "ShenQingRen");
                    obj.ShouLiBuMen = GetXmlData(list[i], "ShouLiBuMen");
                    obj.ShiXiangMingCheng = GetXmlData(list[i], "ShiXiangMingCheng");
                    obj.FlowStartRDT = GetXmlData(list[i], "FlowStartRDT");
                    obj.WFSta = GetXmlData(list[i], "WFSta");
                    rs[k++] = obj;
                }

            }
        }
    }
    return rs;
};
//审批过程
var Mapbjgc = function (xmlDoc, TagName) {
    var rs = new Array();
    var k = 0;
    var rootObj = xmlDoc.responseXML.documentElement;
    if (rootObj != null) {
        var list = rootObj.getElementsByTagName(TagName);
        if (list != null && list.length > 0) {
            for (var i = 0; i < list.length; i++) {
                if (list[i] != null) {
                    var obj = new Object(); //绑定各个字段,
                    obj.RDT = GetXmlData(list[i], "RDT");
                    obj.Msg = GetXmlData(list[i], "Msg");
                    obj.EmpFromT = GetXmlData(list[i], "EmpFromT");
                    obj.NDFromT = GetXmlData(list[i], "NDFromT");
                    rs[k++] = obj;
                }
            }
        }
    }
    return rs;
};

//政策信息
var MapContentsList = function (xmlDoc, TagName) {
    var rs = new Array();
    var k = 0;
    var rootObj = xmlDoc.responseXML.documentElement;
    if (rootObj != null) {
        var list = rootObj.getElementsByTagName(TagName);
        if (list != null && list.length > 0) {
            for (var i = 0; i < list.length; i++) {
                if (list[i] != null) {
                    var obj = new Object(); //绑定各个字段
                    obj.ID = GetXmlData(list[i], "ID");
                    obj.Title = GetXmlData(list[i], "Title");
                    obj.SendTime = GetXmlData(list[i], "SendTime");
                    obj.HtmUrl = GetXmlData(list[i], "HtmUrl");
                    obj.DeptP = GetXmlData(list[i], "DeptP");
                    obj.DeptS = GetXmlData(list[i], "DeptS");
                    obj.lm = GetXmlData(list[i], "lm");
                    obj.ImgUrl = GetXmlData(list[i], "ImgUrl");
                    rs[k++] = obj;
                }

            }
        }
    }
    return rs;
};

//文章内容
var MapContents = function (xmlDoc, TagName) {
    var rs = new Array();
    var k = 0;
    var rootObj = xmlDoc.responseXML.documentElement;
    if (rootObj != null) {
        var list = rootObj.getElementsByTagName(TagName);
        if (list != null && list.length > 0) {
            for (var i = 0; i < list.length; i++) {
                if (list[i] != null) {
                    var obj = new Object(); //绑定各个字段
                    obj.ID = GetXmlData(list[i], "ID");
                    obj.Title = GetXmlData(list[i], "Title");
                    obj.SendTime = GetXmlData(list[i], "SendTime");
                    obj.contents = GetXmlData(list[i], "contents");
                    rs[k++] = obj;
                }

            }
        }
    }
    return rs;
};

//预约信息
var Map_YInfo = function (xmlDoc, TagName) {
    var rs = new Array();
    var k = 0;
    var rootObj = xmlDoc.responseXML.documentElement;
    if (rootObj != null) {
        var list = rootObj.getElementsByTagName(TagName);
        if (list != null && list.length > 0) {
            for (var i = 0; i < list.length; i++) {
                if (list[i] != null) {
                    var obj = new Object(); //绑定各个字段,
                    obj.id = GetXmlData(list[i], "id");
                    obj.xm = GetXmlData(list[i], "xm");
                    obj.sfz = GetXmlData(list[i], "sfz");
                    obj.tel = GetXmlData(list[i], "tel");
                    obj.type = GetXmlData(list[i], "type");

                    obj.ywlx = GetXmlData(list[i], "ywlx");//业务类型：1.变更；2.注销

                    obj.seldate = GetXmlData(list[i], "seldate");
                    obj.sjduan = GetXmlData(list[i], "sjduan");
		    obj.sfqx = GetXmlData(list[i], "sfqx");
			obj.bldd = GetXmlData(list[i], "bldd");
                    rs[k++] = obj;
                }
            }
        }
    }
    return rs;
};